Subject: Re: [PATCH v2] Add --track option to git clone

From: David Soria Parra <[email-masked]>
Date: Wed, 2 Dec 2009 07:20:44 +0000 (UTC)

On 2009-12-02, Sean Estabrooks <[email-masked]> wrote:
>> It tries to make the following usecase possible:
>> Imagine you are working on a project that has 1.x and a 2.x branch. The project
>> itself requires a complex setup (webserver, configuration files, etc). Setting up
>> 1.x and 2.x branch requires a lot of work, but a developer needs to maintain both.
>> He'll use the --track option to clone the 2.x branch into a directory and does the same
>> with the 1.x branch, where he setup the project. He can use locally separate repositories
>> while still being able to push to just one remote repository.
>
> This is already straightforward in Git without the limitation of tracking only
> a single remote branch.   What is the necessity of doing this via the clone command?
>
>   $ git init myrepo
>   $ cd myrepo
>   $ git remote add -t branch1.x -f origin <URL>
>   $ git checkout -t origin/branch1.x
I'm aware that this is possible, but I want to have a shortcut for this as the users that I
helped with getting into git usually where confused about the point that you have to do it manually
via git init, so take the patch as a proposal to get more consistent interface for git clone.

david